<?php
/**
 * Template Name: Search Results
 *
 * The template for "Search Results Page" page
 *
 * @package Placester
 * @subpackage Allure
 * @since Placester 0.1
 */
get_header(); ?>
<?php
$api_key = get_option('placester_api_key');
if (strlen($api_key) > 0) {
?>
            <!-- search section -->
            <section class="gray-box">
                <h3>Search</h3>
                <form id="allure-search-form" action="<?php echo get_form_link()->search_url ?>" method="get">
                    <div id="gray-box-frmfields">
                        <div class="tbl-cell-search2">
                            <div class="selLabel">Bedrooms</div>
                            <div class="cselect">
                                <select name="bedrooms" class="sparkbox-custom">
                                    <option value="" selected="selected">All</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="2">3</option>
                                    <option value="2">4</option>
                                    <option value="2">5</option>
                                    <option value="2">6</option>
                                    <option value="2">7</option>
                                    <option value="2">8</option>
                                    <option value="2">9</option>
                                </select>
                            </div>
                            <div class="selLabel">Bathrooms</div>
                            <div class="cselect">
                                <select name="bathrooms" class="sparkbox-custom">
                                    <option value="" selected="selected">All</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="2">3</option>
                                    <option value="2">4</option>
                                    <option value="2">5</option>
                                    <option value="2">6</option>
                                    <option value="2">7</option>
                                    <option value="2">8</option>
                                    <option value="2">9</option>
                                </select>
                            </div>
                        </div>
                        <div class="tbl-cell-search3">
                            <div class="selLabel2">Available</div>
                            <div class="cselect2">
                                <select name="available_on" class="sparkbox-custom">
                                    <option value="" selected="selected">Anytime</option>
                                    <option value="01-01-2011">January</option>
                                    <option value="01-02-2011">February</option>
                                    <option value="01-03-2011">March</option>
                                    <option value="01-04-2011">April</option>
                                    <option value="01-05-2011">May</option>
                                    <option value="01-06-2011">June</option>
                                    <option value="01-07-2011">July</option>
                                    <option value="01-08-2011">August</option>
                                    <option value="01-09-2011">September</option>
                                    <option value="01-10-2011">October</option>
                                    <option value="01-11-2011">November</option>
                                    <option value="01-12-2011">December</option>
                                </select>
                            </div>
                            <div class="clr"></div>
                            <div class="selLabel2">Near</div>
                            <div class="cselect2">
                                <select name="location[city]" class="sparkbox-custom">
                                    <option value="" selected="selected">Anywhere</option>
                                        <?php display_cities(); ?>
                                </select>
                            </div>
                            <div class="clr"></div>
                            <div class="selLabel2">Price</div>
                            <div class="cselect2">
                                <select name="min_price" class="sparkbox-custom">
                                    <option value="200" selected="selected">$200</option>
                                    <option value="500">$500</option>
                                    <option value="1000">$1,000</option>
                                    <option value="2000">$2,000</option>
                                    <option value="3000">$3,000</option>
                                    <option value="4000">$4,000</option>
                                    <option value="5000">$5,000</option>
                                </select>
                            </div>
                            <span class="dash">-</span>
                            <div class="cselect2">
                                <select name="max_price" class="sparkbox-custom">
                                    <option value="500">$500</option>
                                    <option value="1000">$1,000</option>
                                    <option value="2000">$2,000</option>
                                    <option value="3000">$3,000</option>
                                    <option value="4000">$4,000</option>
                                    <option value="5000" selected="selected">$5,000</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div id="gray-box-btn">
                        <input id="search_page_submit" type="submit" Value="Search" class="btn-biggest" />
                    </div>
                </form>
                <div class="clr"></div>
            </section>
            <?php placester_register_filter_form('allure-search-form'); ?>

            <!-- list section -->
            <section class="content-list">
                <div>
                    <div>
                    	<div class="selLabel2" style="width:60px;">Sort by</div>
                        <div class="cselect2">
                            <select id="sort_list" class="sparkbox-custom">
                              <option value="bathrooms asc">bathrooms</option>
                              <option value="price asc">price</option>
                            </select>
                        </div>                    
                    </div>
                    <div class="clr"></div>
                </div>
                <br />
                <div id="my_loader_div" class="gray-box" >
                    <img style="float: left" src="<?php echo get_stylesheet_directory_uri(); ?>/images/loading.gif" />
                    <div style="float: left">Loading </div>
                    <div class="clr"></div>
                </div>
                <ul class="item-list">
                    <?php display_unstructured_list(); ?>
                </ul>
                <!-- pagination section -->
                <section id="pagination_loads_here" class="pagination">
                    <a href="#" class="prev-btn-passive">Prev</a>
                    <a href="#" class="next-btn-active">Next</a>
                    <div class="clr"></div>
                </section>
            </section>
<?php 
} else {
?>
	<p class="error">To activate the search, please add your API key on the <a href="<?php echo admin_url() . 'admin.php?page=placester_settings'; ?>">Placester plugin settings page</a>.</p>	 
<?php
} // End API verification if
?>
<?php get_footer('search'); ?>
