<?php 
/**
 *
 *  Registers various functions which are essentially
 *  wrappers for includes.
 * 
 *  Enjoy!
 * 
 * @package Placester
 * @subpackage Placester
 * @since Placester 0.1
 */


/**
 * Prints map with markers
 */

function display_map( $options = array() ) {
    try {
        placester_listings_map( $options );
    }
    catch (PlaceSterNoApiKeyException $e) {
        display_no_api_key_error();
    }
}

/**
 * Prints list linked to map
 */
function display_divlist_for_map()
{
    include(dirname(__FILE__) . '/../views/list_of_map_divbased.php');
}


function display_datatable_for_map()
{
    include(dirname(__FILE__) . '/../views/list_of_map_datatable.php');
}


/**
 * Prints filter form
 */
function display_filter()
{
    include(dirname(__FILE__) . '/../views/filter.php');
}

/**
 * Prints datatable-based list
 */
function display_structured_list()
{
    include(dirname(__FILE__) . '/../views/structured_list.php');
}

/**
 * Prints div-based list
 */
if (!function_exists('display_unstructured_list')) {
    function display_unstructured_list()
    {
        include(dirname(__FILE__) . '/../views/unstructured_list.php');
    }
}

/**
 * Prints listing details
 */
function display_listing_basic_details()
{
    global $post;
    $property = json_decode($post->post_content);
    include(dirname(__FILE__) . '/../views/listing_basic_details.php');
}

/**
 * Prints listing description
 */
function display_listing_description()
{
    global $post;
    $property = json_decode($post->post_content);
    echo 'description: ' . $property->description;
}

/**
 * Prints listing images
 */
function display_listing_images()
{
    global $post;
    $property = json_decode($post->post_content);
    include(dirname(__FILE__) . '/../views/listing_images.php');
}

/**
 * Prints contact form
 */
function display_contact_form()
{
    include(dirname(__FILE__) . '/../views/contact_form.php');
}