<?php
/**
 * The main template page.
 *
 * @package Placester
 * @subpackage Allure
 * @since Placester 0.1
 */
get_header('home'); ?>
<section id="lvl2">
    <!-- slideshow section -->
    <div class="wrapper">
        <div id="slideshow-glow" class="static">
            <div id="slideshow">
                <div id="slides">
                    <?php if ( get_header_image() ) : ?> 
                    <img src="<?php header_image(); ?>" width="<?php echo HEADER_IMAGE_WIDTH; ?>" height="<?php echo HEADER_IMAGE_HEIGHT; ?>" alt="" />
                    <?php endif; ?>
                </div><!-- end slides -->
                <div id="form">
                    <form action="<?php echo get_form_link()->search_url ?>" method="get">
                        <?php echo get_form_link()->hidden_field ?>
                        <h2>Search</h2>
                        <div class="hr"></div>
                            <div class="tbl-cell-search">
                                Bedrooms<br />
                                <div class="cselect2">
                                    <select name="bedrooms" class="sparkbox-custom">
                                        <option value="" selected="selected">All</option>
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="2">3</option>
                                        <option value="2">4</option>
                                        <option value="2">5</option>
                                        <option value="2">6</option>
                                        <option value="2">7</option>
                                        <option value="2">8</option>
                                        <option value="2">9</option>
                                    </select>
                                </div>
                            </div>
                            <div class="tbl-cell-search">
                                Maximum Price
                                <div class="cselect2">
                                    <select name="min_price" class="sparkbox-custom">
                                        <option value="500" selected="selected">$500</option>
                                        <option value="1000">$1,000</option>
                                        <option value="2000">$2,000</option>
                                        <option value="3000">$3,000</option>
                                        <option value="4000">$4,000</option>
                                        <option value="5000">$5,000</option>
                                    </select>
                                </div>
                            </div>
                            <div class="tbl-cell-search">
                                Bathrooms<br />
                                <div class="cselect2">
                                    <select name="bathrooms" class="sparkbox-custom">
                                        <option value="" selected="selected">All</option>
                                        <option value="1">1</option>
                                        <option value="2">2</option>
                                        <option value="2">3</option>
                                        <option value="2">4</option>
                                        <option value="2">5</option>
                                        <option value="2">6</option>
                                        <option value="2">7</option>
                                        <option value="2">8</option>
                                        <option value="2">9</option>
                                    </select>
                                </div>
                            </div>
                            <div class="tbl-cell-search">
                                Minimum Price
                                <div class="cselect2">
                                    <select name="max_price" class="sparkbox-custom">
                                        <option value="200">$200</option>
                                        <option value="500">$500</option>
                                        <option value="1000">$1,000</option>
                                        <option value="2000">$2,000</option>
                                        <option value="3000">$3,000</option>
                                        <option value="4000">$4,000</option>
                                        <option value="5000" selected="selected">$5,000</option>
                                    </select>
                                </div>
                            </div>
                            <div class="tbl-cell-search">
                                Available
                                <div class="cselect2">
                                    <select name="available_on" class="sparkbox-custom">
                                        <option value="" selected="selected">Anytime</option>
                                        <option value="01-01-2011" >January</option>
                                        <option value="01-02-2011">February</option>
                                        <option value="01-03-2011">March</option>
                                        <option value="01-04-2011">April</option>
                                        <option value="01-05-2011">May</option>
                                        <option value="01-06-2011">June</option>
                                        <option value="01-07-2011">July</option>
                                        <option value="01-08-2011">August</option>
                                        <option value="01-09-2011">September</option>
                                        <option value="01-10-2011">October</option>
                                        <option value="01-11-2011">November</option>
                                        <option value="01-12-2011">December</option>
                                    </select>
                                </div>
                            </div>
                            <div class="tbl-cell-search">
                                Near<br />
                                <div class="cselect2">
                                    <select name="location[city]" class="sparkbox-custom">
                                        <option value="" selected="selected">Anywhere</option>
                                        <?php display_cities(); ?>
                                    </select>
                                </div>
                            </div>
                        <div class="clr"></div>
                        <div class="hr"></div>
                        <div class="clr"></div>
                            <div class="aR"><input type="submit" Value="Search" class="btn-big" /></div>
                        <div class="clr"></div>
                    </form>
                </div><!-- end slides -->
                <div class="clr"></div>
            </div><!-- end slideshow -->
        </div><!-- end slideshow-glow -->
    </div><!-- end of wrapper -->
</section>
<section id="lvl3">
    <!-- marketing info section -->
    <div class="wrapper">
        <section class="getstarted">
            <h3>Ready to get Started?</h3>
            <section class="gt-thumb-size">
                <div class="thumbs">
                    <img src="<?php echo placester_get_user_details()->logo_url ? placester_get_user_details()->logo_url : get_stylesheet_directory_uri() . '/images/gs-thumb.jpg'; ?>" alt="" />
                </div>
                <div class="thumbs-shadow"></div>
            </section>
            <section class="gs-txt">
                <?php if (!empty(placester_get_user_details()->first_name) && !empty(placester_get_user_details()->last_name)): ?>
                    <span class="bigtxt"><?php  echo placester_get_user_details()->first_name . ' ' . placester_get_user_details()->last_name; ?></span><br/>                    
                <?php else: ?>
                    <span class="bigtxt">Your Name</span><br/>                    
                <?php endif ?>

                <span class="bigtxt blue"><strong><?php echo (placester_get_user_details()->phone ? placester_get_user_details()->phone : 'phone number') ?></strong></span><br/>
                <span class="normaltxt"><?php echo (placester_get_user_details()->email ? placester_get_user_details()->email : 'Your Email'); ?></span>
            </section>
            <div class="clr"></div>
        </section>
        <section class="learnwhy">
            <section class="ly-thumb-size">
                <div class="thumbs">
                    <img src="<?php echo get_company_details()->logo_url ?>" alt="" />
                </div>
                <div class="thumbs-shadow"></div>
            </section>
            <section class="ly-txt">
                <h3>Learn Why We're the Best</h3>
                <p><?php echo substr(get_company_details()->description,0,220) . '...'; ?></p>
                <a href="#" class="learnmore-btn-big">Learn More</a>
            </section>
            <div class="clr"></div>
        </section>
        <div class="clr"></div>
    </div><!-- end of wrapper -->
</section>
<section id="lvl4">
    <!-- feat houses section -->
    <div class="wrapper">
        <?php display_featured_listings(3); ?>
        <div class="clr"></div>
    </div><!-- end of wrapper -->
</section>
<?php get_footer('home'); ?>
